Bug 324771 - (CVE-2007-5269) CVE-2007-5269 libpng DoS via multiple out-of-bounds reads
CVE-2007-5269 libpng DoS via multiple out-of-bounds reads
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
source=cve,reported=20071008,public=2...
: Security
Depends On: 337461 337471 337481 337491 337501 337511 337521 337531 337551 337561 337571 537849 802163
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-09 08:10 EDT by Tomas Hoger
Modified: 2016-03-04 06:24 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-20 07:07:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2007-10-09 08:10:33 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2007-5269 to the following vulnerability:

Certain chunk handlers in libpng before 1.0.29 and 1.2.x before 1.2.21
allow remote attackers to cause a denial of service (crash) via
crafted (1) pCAL (png_handle_pCAL), (2) sCAL (png_handle_sCAL), (3)
tEXt (png_push_read_tEXt), (4) iTXt (png_handle_iTXt), and (5) ztXT
(png_handle_ztXt) chunking in PNG images, which trigger out-of-bounds
read operations.

http://secunia.com/advisories/27093
http://www.frsirt.com/english/advisories/2007/3390
http://sourceforge.net/mailarchive/forum.php?thread_name=3.0.6.32.20071004082318.012a7628%40mail.comcast.net&forum_name=png-mng-implement
Comment 9 Tomas Hoger 2007-12-20 07:07:40 EST
Fixed in all affected products:

Red Hat Enterprise Linux
  http://rhn.redhat.com/errata/RHSA-2007-0992.html

Fedora
  FEDORA-2007-734
  https://admin.fedoraproject.org/updates/F7/FEDORA-2007-2666
  https://admin.fedoraproject.org/updates/F7/FEDORA-2007-2521

Note You need to log in before you can comment on or make changes to this bug.